<?php include("../templates/header.php"); ?>
<?php include("check_admin.php"); ?>

<div class="panel panel-danger">
  <div class="panel-heading">
    <h3 class="panel-title">ลบประวัติการซื้อ</h3>
  </div>
  <div class="panel-body">

<form class="form-horizontal" method="post">
<br>
  <fieldset>

  <div class="form-group">
      <label for="inputPhone" class="col-lg-2 control-label">เลือกวันที่</label>
      <div class="col-lg-2">
        <input type="date" class="form-control" name="date_start" required>
      </div>
      <label for="inputPhone" class="col-lg-1 control-label">ถึง</label>
      <div class="col-lg-2">
        <input type="date" class="form-control" name="date_end" required>
      </div>
      <button type="submit" class="btn btn-primary" name="search"><span class='glyphicon glyphicon-search'></span> ค้นหา</button>
      <button type="submit" class="btn btn-danger" name="delete"><span class='glyphicon glyphicon-trash'></span> ลบทิ้ง</button>
    </div>
    
    <?php

    if(isset($_POST["search"])){

    	$date_start = $_POST['date_start'];
    	$date_end = $_POST['date_end'];
    	$num_type = "";
    	$count = 0;

    	if($date_start <= $date_end){

    	$sql = "select * from tb_number where num_clear='Yes' and num_created between '$date_start 00:00:00' and '$date_end 23:59:59' order by num_created desc"; 
		$Query = mysqli_query($link,$sql);
		$num_rows = mysqli_num_rows($Query);

		echo "<hr><b>ผลการค้นหาข้อมูลของวันที่ $date_start ถึง $date_end</b> ( เจอทั้งหมด $num_rows รายการ )<br><br>";

		while($Result = mysqli_fetch_array($Query)){
		$num_id = $Result['num_id'];
		$num_buy = $Result['num_buy'];
		$num_one = $Result['num_one'];
		$num_two = $Result['num_two'];
		$num_type = $Result['num_type'];
		$num_payment = $Result['num_payment'];
		$num_clear = $Result['num_clear'];
		$num_created = $Result['num_created'];
		$acc_id = $Result['acc_id'];

		if($num_type == 'a'){
			$text_tpye = "ประเภทเลข 2 ตัว";
		}
		elseif($num_type == 'b'){
			$text_tpye = "ประเภทเลข 3 ตัว";
		}
		elseif($num_type == 'c'){
			$text_tpye = "ประเภทเลขวิ่ง";
		}
		elseif($num_type == 'd'){
			$text_tpye = "ประเภทเลขใบ";
		}
		else{
			$text_tpye = "ไม่พบข้อมูล";
		}

		$count = $count+1;

		echo "$count = เลข $num_buy $text_tpye วันที่ซื้อ $num_created (account : $acc_id)<br>";

		}

		}
    	elseif($date_start > $date_end){
    		echo "<div class='alert alert-dismissible alert-danger'>
  			<button type='button' class='close' data-dismiss='alert'>&times;</button>
 			<strong>Error</strong> กรุณาเลือกวันที่ให้ถูกต้อง .
			</div>";
    	}

    }


    if(isset($_POST["delete"])){

    	$date_start = $_POST['date_start'];
    	$date_end = $_POST['date_end'];
    	$num_type = "";
    	$count = 0;

    	if($date_start <= $date_end){

    	$sql = "select * from tb_number where num_clear='Yes' and num_created between '$date_start 00:00:00' and '$date_end 23:59:59' order by num_created desc"; 
		$Query = mysqli_query($link,$sql);
		$num_rows = mysqli_num_rows($Query);

		echo "<hr><font color='red'>ยืนยันการลบข้อมูลวันที่ $date_start ถึง $date_end จำนวนทั้งหมด $num_rows รายการเรียบร้อยแล้ว</font><br><br>";

		while($Result = mysqli_fetch_array($Query)){
		$num_id = $Result['num_id'];
		$num_buy = $Result['num_buy'];
		$num_one = $Result['num_one'];
		$num_two = $Result['num_two'];
		$num_type = $Result['num_type'];
		$num_payment = $Result['num_payment'];
		$num_clear = $Result['num_clear'];
		$num_created = $Result['num_created'];
		$acc_id = $Result['acc_id'];

		if($num_type == 'a'){
			$text_tpye = "ประเภทเลข 2 ตัว";
		}
		elseif($num_type == 'b'){
			$text_tpye = "ประเภทเลข 3 ตัว";
		}
		elseif($num_type == 'c'){
			$text_tpye = "ประเภทเลขวิ่ง";
		}
		elseif($num_type == 'd'){
			$text_tpye = "ประเภทเลขใบ";
		}
		else{
			$text_tpye = "ไม่พบข้อมูล";
		}

		$count = $count+1;

		$sql_del = "delete from tb_number where num_id = '$num_id';";
		$objQuery = mysqli_query($link,$sql_del);

			if($objQuery){
				echo "<font color='red'>ลบรายการ : <i>$count = เลข $num_buy $text_tpye วันที่ซื้อ $num_created (account : $acc_id)</i></font><br>";
			}
			else{
				echo "$num_id : ล้มเหลว";
			}

		}

		}
    	elseif($date_start > $date_end){
    		echo "<div class='alert alert-dismissible alert-danger'>
  			<button type='button' class='close' data-dismiss='alert'>&times;</button>
 			<strong>Error</strong> กรุณาเลือกวันที่ให้ถูกต้อง .
			</div>";
    	}

    }

    ?>

    <hr>
    <font color="red"><b>คำเตือน</b></font> : ถ้ากด "<b>ลบทิ้ง</b>" แล้วจะไม่สามารถดึงข้อมูลกลับมาได้ โปรดตรวจสอบให้แน่ใจก่อนว่าจะลบจริงๆ

  </fieldset>
</form>
  </div>
</div>

<?php include("../templates/footer.php"); ?>